Bug 472039 - Pressing F1 in rpmreaper does not produce help
Pressing F1 in rpmreaper does not produce help
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmreaper (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 08:19 EST by Christopher Beland
Modified: 2010-08-24 10:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.1.6-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 10:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-11-18 08:19:53 EST
According to the manpage, pressing F1 while inside rpmreaper is supposed to run "man rpmreaper".  When I do that, instead of getting the manpage, I get a new window that contains the help browser for Gnome Terminal.

This is with:
rpmreaper-0.1.5-1.fc9.i386
gnome-terminal-2.22.2-1.fc9.i386
Comment 1 Miroslav Lichvar 2008-11-19 06:59:21 EST
F1 is in the default gnome-terminal bindings, it can be removed in Edit -> Keyboard shortcuts menu.

Anyway, binding the command also to F2 in rpmreaper might be a good idea.
Comment 2 Fedora Update System 2009-04-02 08:29:48 EDT
rpmreaper-0.1.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmreaper-0.1.6-1.fc9
Comment 3 Fedora Update System 2009-04-02 08:30:37 EDT
rpmreaper-0.1.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmreaper-0.1.6-1.fc10
Comment 4 Fedora Update System 2009-04-02 22:25:32 EDT
rpmreaper-0.1.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmreaper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3301
Comment 5 Fedora Update System 2009-04-13 15:31:51 EDT
rpmreaper-0.1.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-13 15:45:31 EDT
rpmreaper-0.1.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christopher Beland 2009-04-14 12:57:29 EDT
Thanks for the update! Pressing F2 now works and is documented in the manpage, but the line at the top of the rpmreaper screen still says that pressing F1 produces help.  Since the program is always used inside a terminal and most people will have a conflicting F1 binding by default, I think it would be more user-friendly if this hint said "F2".
Comment 8 Bug Zapper 2009-06-09 23:18:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christopher Beland 2009-06-12 22:18:00 EDT
The screen still says F1 in rpmreaper-0.1.6-1.fc11.x86_64 (Fedora 11 final), and doesn't work in my terminal (but F2 does, as promised).
Comment 10 Bug Zapper 2010-04-27 08:21:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:49:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Bug Zapper 2010-07-30 06:33:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Miroslav Lichvar 2010-08-24 10:31:22 EDT
It took a while, but the F2 key is now finally printed in the help line. Fixed in rpmreaper-0.1.6-4.fc14.

Note You need to log in before you can comment on or make changes to this bug.